net.corda.contracts.asset

## Enum Obligation.Lifecycle

- Enclosing class:
    Obligation<P>

      public static enum Obligation.Lifecycle

  Represents where in its lifecycle a contract state is, which in turn controls the commands that can be applied to the state. Most states will not leave the NORMAL lifecycle. Note that settled (as an end lifecycle) is represented by absence of the state on transaction output.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEFAULTED` Indicates the contract has not been settled by its due date. Once in the defaulted state, it can only be reverted to NORMAL state by the beneficiary.
    `NORMAL` Default lifecycle state for a contract, in which it can be settled normally

- - ### Enum Constant Detail

    - #### NORMAL

          public static Obligation.Lifecycle NORMAL

      Default lifecycle state for a contract, in which it can be settled normally

    - #### DEFAULTED

          public static Obligation.Lifecycle DEFAULTED

      Indicates the contract has not been settled by its due date. Once in the defaulted state, it can only be reverted to NORMAL state by the beneficiary.